Subject: Offline Message from Meaadi Ali-s: My shipment was split into two parts and I
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 21 Jun 2020 07:21:30 -0000

From: Meaadi Ali-s <[email-masked]>
Phone: 
Location: Dammam, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/RzJlVkNic3htZnBueXpDY3U2aVFWQT09/key/2/
Department: 

My shipment was split into two parts and I received only one part while the other one I did not receive until now ..it is written next to it ( shipped) but how can I track it? There is no tracking number and  It has been more than 12 days now !!

----
Zopim
https://www.zopim.com